moeoEntropyMetric(3)

NAME
moeoEntropyMetric - The entropy gives an idea of the diversity of a Pareto set relatively to another Pareto set.

SYNOPSIS

#include <moeoEntropyMetric.h>

Inherits moeoVectorVsVectorBM< EOT, double >.

  Public Types
typedef EOT::Fitness EOFitness
The fitness type of a solution.

  Public Member Functions
double operator() (const std::vector< EOFitness > &_set1, const std::vector< EOFitness > &_set2)
Returns the entropy of the Pareto set '_set1' relatively to the Pareto set '_set2'.

  Private Member Functions
void removeDominated (std::vector< EOFitness > &_f)
void prenormalize (const std::vector< EOFitness > &_f)
void normalize (std::vector< EOFitness > &_f)
void computeUnion (const std::vector< EOFitness > &_f1, const std::vector< EOFitness > &_f2, std::vector< EOFitness > &_f)
unsigned howManyInNicheOf (const std::vector< EOFitness > &_f, const EOFitness &_s, unsigned _size)
double euclidianDistance (const EOFitness &_set1, const EOFitness &_to, unsigned _deg=2)

  Private Attributes
std::vector< double > vect_min_val
std::vector< double > vect_max_val

Detailed Description

  template<class EOT> class moeoEntropyMetric< EOT >
The entropy gives an idea of the diversity of a Pareto set relatively to another Pareto set. (Basseur, Seynhaeve, Talbi: 'Design of Multi-objective Evolutionary Algorithms: Application to the Flow-shop Scheduling Problem', in Proc. of the 2002 Congress on Evolutionary Computation, IEEE Press, pp. 1155-1156)

Definition at line 23 of file moeoEntropyMetric.h.

Member Function Documentation

  template<class EOT> double moeoEntropyMetric< EOT >::operator() (const std::vector< EOFitness > & _set1, const std::vector< EOFitness > & _set2) [inline]

Returns the entropy of the Pareto set '_set1' relatively to the Pareto set '_set2'.

Parameters:
    _set1 the first Pareto set
    _set2 the second Pareto set

Definition at line 38 of file moeoEntropyMetric.h.

References moeoEntropyMetric< EOT >::computeUnion(), moeoEntropyMetric< EOT >::howManyInNicheOf(), moeoEntropyMetric< EOT >::normalize(), moeoEntropyMetric< EOT >::prenormalize(), and moeoEntropyMetric< EOT >::removeDominated().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.